hydrostat(6)

NAME
hydrostat - Wiggly squid or jellyfish with many tentacles.

SYNOPSIS
hydrostat [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-speed number] [-count number] [-head-radius number] [-tentacles number] [-thickness number] [-length number] [-gravity number] [-current number] [-friction number] [-no-pulse] [-wireframe] [-fps]

DESCRIPTION
Wiggly squid or jellyfish with many tentacles. A muscular hydrostat is a biological structure used to move its host about, consisting of muscles with no skeletal support. It performs its hydraulic movement without fluid in a separate compartment, as in a hydrostatic skeleton.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds).

-speed number
    Animation speed. 2.0 means twice as fast, 0.5 means half as fast.

-count number
    Number of squid. 1 - 100. Default: 10.

-head-radius number
    Head size. 10 - 100. Default: 60.

-tentacles number
    Number of tentacles. 3 - 100. Default: 40.

-thickness number
    Thickness of tentacles. 3 - 40. Default: 18.

-length number
    Length of tentacles. 10 - 150. Default: 70.

-gravity number
    Strength of gravity. 0 - 10.0. Default: 0.5.

-current number
    Strength of current. 0.0 - 10.0. Default: 0.25.

-friction number
    Coefficient of friction. 0.0 - 0.1. Default: 0.02.

-pulse | -no-pulse
    Whether the squid should pulse. Default true.

-wireframe | -no-wireframe
    Render in wireframe instead of solid.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1) http://soulwire.co.uk/experiments/muscular-hydrostats/

COPYRIGHT
Copyright © 2016 by Justin Windle and Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Justin Windle and Jamie Zawinski.